package com.hellbreecher.arcanum.common.core;

import com.hellbreecher.arcanum.client.renderer.FoodRendererRegister;
import com.hellbreecher.arcanum.common.food.itemAppleCider;
import com.hellbreecher.arcanum.common.food.itemCortonWine;
import com.hellbreecher.arcanum.common.food.itemCrushedApple;
import com.hellbreecher.arcanum.common.food.itemFermentedBeer;
import com.hellbreecher.arcanum.common.food.itemMountainDew;
import com.hellbreecher.arcanum.common.food.itemToast;
import com.hellbreecher.arcanum.common.food.itemUnfermentedBeer;
import com.hellbreecher.arcanum.common.food.itemWarmAppleCider;
import com.hellbreecher.arcanum.common.handler.IDictionaryRegistry;
import net.minecraft.item.Item;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.registries.IForgeRegistry;

/* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumFood.class */
public class ArcanumFood extends IDictionaryRegistry {

    @GameRegistry.ObjectHolder("arcanum:crushedapple")
    public static Item itemCrushedApple = new itemCrushedApple(2, 2.0f, true);

    @GameRegistry.ObjectHolder("arcanum:toast")
    public static Item itemToast = new itemToast(10, 10.0f, false);

    @GameRegistry.ObjectHolder("arcanum:cortonwine")
    public static Item itemCortonWine = new itemCortonWine();

    @GameRegistry.ObjectHolder("arcanum:unfermentedbeer")
    public static Item itemUnfermentedBeer = new itemUnfermentedBeer();

    @GameRegistry.ObjectHolder("arcanum:fermentedbeer")
    public static Item itemFermentedBeer = new itemFermentedBeer();

    @GameRegistry.ObjectHolder("arcanum:applecider")
    public static Item itemAppleCider = new itemAppleCider();

    @GameRegistry.ObjectHolder("arcanum:warmapplecider")
    public static Item itemWarmAppleCider = new itemWarmAppleCider();

    @GameRegistry.ObjectHolder("arcanum:mountaindew")
    public static Item itemMountainDew = new itemMountainDew();

    @Mod.EventBusSubscriber(modid = "arcanum")
    /* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumFood$Registration.class */
    public static class Registration {
        @SubscribeEvent
        public static void registerItems(RegistryEvent.Register<Item> event) {
            IForgeRegistry<Item> foodRegistry = event.getRegistry();
            foodRegistry.register(ArcanumFood.itemCrushedApple);
            foodRegistry.register(ArcanumFood.itemToast);
            foodRegistry.register(ArcanumFood.itemCortonWine);
            foodRegistry.register(ArcanumFood.itemUnfermentedBeer);
            foodRegistry.register(ArcanumFood.itemFermentedBeer);
            foodRegistry.register(ArcanumFood.itemAppleCider);
            foodRegistry.register(ArcanumFood.itemWarmAppleCider);
            foodRegistry.register(ArcanumFood.itemMountainDew);
        }

        @SubscribeEvent
        public static void registerModels(ModelRegistryEvent event) {
            FoodRendererRegister.registerFoodRenderer();
        }
    }
}
